import _extends from "@babel/runtime/helpers/extends";

/**
 * File: /src/components/MenuButton/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 19-06-2022 06:50:27
 * Author: K S R P BHUSHAN
 * -----
 * Last Modified: 17-08-2022 06:54:27
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import Pressable from "../Pressable";
import Image from "../Image";

const MenuButton = props => {
  const sx = { ...MenuButton.defaultSx,
    ...props.sx
  };
  const menusx = { ...props.menuSx
  };
  return /*#__PURE__*/React.createElement(Pressable, _extends({}, props, {
    sx: { ...sx
    },
    onPress: props.onPress
  }), /*#__PURE__*/React.createElement(Image, {
    source: props.source,
    sx: { ...menusx
    }
  }));
};

MenuButton.defaultProps = {
  sx: {},
  menuSx: {}
};
MenuButton.defaultSx = {
  maxWidth: "100%",
  bg: "primary",
  alignItems: "center",
  justifyContent: "center"
};
export default MenuButton;
//# sourceMappingURL=index.js.map