(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);

  /**
   * File: /src/components/AspectImage/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 23-06-2022 03:43:01
   * Author: K S R P BHUSHAN
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const AspectImage = props => {
    const sx = { ...AspectImage.defaultSx,
      ...props.sx
    };
    const dAspectImageProps = { ...props
    };
    if (props.src) dAspectImageProps.source = {
      uri: props.src
    };
    delete dAspectImageProps.src;
    return /*#__PURE__*/_react.default.createElement(_dripsy.Image, (0, _extends2.default)({}, dAspectImageProps, {
      sx: sx
    }));
  };

  AspectImage.defaultProps = {
    sx: {}
  };
  AspectImage.defaultSx = {
    minWidth: 100,
    maxWidth: 100,
    height: "100",
    objectFit: "cover"
  };
  var _default = AspectImage;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map