(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "../../util"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("../../util"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.util);
    global.props = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _util) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.splitProps = _exports.pressablePropKeys = void 0;

  /**
   * File: /src/components/Box/props.ts
   * Project: @native-theme-ui/core
   * File Created: 05-07-2022 06:24:30
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 07:28:51
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const pressablePropKeys = ["onLongPress", "onPress", "onPressIn", "onPressOut"];
  _exports.pressablePropKeys = pressablePropKeys;
  const splitProps = (0, _util.createSplitProps)({
    textProps: ["autoContrast"],
    pressableProps: /^on/g
  }, {
    textSx: /^(font)|(text)|(color)/g,
    pressableSx: ["cursor"]
  });
  _exports.splitProps = splitProps;
});
//# sourceMappingURL=props.js.map