require("core-js/modules/web.dom-collections.iterator.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "@risserlabs/auto-contrast", "react-native", "dripsy", "../Text", "./props", "../../dripsyHelper"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("@risserlabs/auto-contrast"), require("react-native"), require("dripsy"), require("../Text"), require("./props"), require("../../dripsyHelper"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.autoContrast, global.reactNative, global.dripsy, global.Text, global.props, global.dripsyHelper);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _autoContrast, _reactNative, _dripsy, _Text, _props, _dripsyHelper) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireWildcard(_react);
  _Text = _interopRequireDefault(_Text);

  function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

  function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

  /**
   * File: /src/components/Button/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 17-06-2022 07:34:18
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 12:09:25
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const StyledPressable = (0, _dripsy.styled)(_reactNative.Pressable, {
    themeKey: "buttons",
    defaultVariant: "primary"
  })(_ref => {
    let {
      showCursor
    } = _ref;
    return { ..._reactNative.Platform.select({
        web: {
          cursor: showCursor ? "pointer" : "default"
        }
      }),
      ...{
        alignSelf: "flex-start",
        appearance: "none",
        bg: "primary",
        border: 0,
        borderRadius: 4,
        color: "white",
        px: 3,
        py: 2,
        textAlign: "center",
        userSelect: "none"
      }
    };
  });
  const Button = /*#__PURE__*/(0, _react.forwardRef)(function Button(props, ref) {
    const sx = {
      display: props.hidden ? "none" : "flex",
      ...props.sx
    };
    const {
      baseProps,
      baseSx,
      textProps,
      textSx
    } = (0, _props.splitProps)(props, sx);
    const children = (0, _dripsyHelper.isText)(props.children) ? /*#__PURE__*/_react.default.createElement(_Text.default, (0, _extends2.default)({}, textProps, {
      sx: textSx
    }), props.children) : props.children;
    return /*#__PURE__*/_react.default.createElement(StyledPressable, (0, _extends2.default)({}, baseProps, {
      showCursor: !!(props.onPress || props.accessibilityRole === "link" || !props.disabled),
      sx: baseSx,
      ref: ref
    }), /*#__PURE__*/_react.default.createElement(_autoContrast.BackgroundColorProvider, {
      sx: sx
    }, children));
  });
  Button.defaultProps = {};
  var _default = Button;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map