/**
 * File: /src/components/Embed/YoutubeIframeThemed.tsx
 * Project: @native-theme-ui/core
 * File Created: 18-07-2022 08:05:40
 * Author: Clay Risser
 * -----
 * Last Modified: 17-08-2022 06:54:27
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { SxProp } from "dripsy";
import React from "react";
import { YoutubeIframeProps } from "react-native-youtube-iframe";
declare type YoutubeIframeStyledProps = Omit<YoutubeIframeProps, "width" | "height" | "webViewStyle"> & {
    style?: any;
    defaultHeight: number;
};
export declare type YoutubeIframeThemedProps = YoutubeIframeStyledProps & {
    sx?: SxProp;
};
declare const YoutubeIframeThemed: React.ComponentType<import("dripsy").StyledProps<keyof import("dripsy").Theme> & ((Pick<YoutubeIframeStyledProps, "style" | "onError" | "videoId" | "playList" | "play" | "mute" | "volume" | "webViewProps" | "playbackRate" | "onReady" | "playListStartIndex" | "initialPlayerParams" | "forceAndroidAutoplay" | "onChangeState" | "onFullScreenChange" | "onPlaybackQualityChange" | "onPlaybackRateChange" | "allowWebViewZoom" | "contentScale" | "useLocalHTML" | "baseUrlOverride" | "defaultHeight"> & React.RefAttributes<React.Component<YoutubeIframeStyledProps, any, any>>) | (Omit<YoutubeIframeProps, "height" | "width" | "webViewStyle"> & {
    style?: any;
    defaultHeight: number;
} & {
    children?: React.ReactNode;
}))>;
export default YoutubeIframeThemed;
