(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "../Box", "@risserlabs/auto-contrast"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("../Box"), require("@risserlabs/auto-contrast"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.Box, global.autoContrast);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _Box, _autoContrast) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _Box = _interopRequireDefault(_Box);

  /**
   * File: /src/components/Heading/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Heading = props => {
    // const themeLookup = useThemeLookup();
    // const sx: SxProp = {
    // ...themeLookup('styles', as),
    //   ...styles.heading,
    // ...props.sx
    const sx = (0, _autoContrast.useAutoContrast)(props, { ...Heading.defaultSx,
      ...props.sx
    });
    const StyledBox = (0, _dripsy.styled)(_Box.default, {
      themeKey: "text",
      defaultVariant: "heading"
    })({});
    const styledBoxProps = { ...props
    };
    delete styledBoxProps.autoContrast;
    return /*#__PURE__*/_react.default.createElement(StyledBox, (0, _extends2.default)({
      themeKey: "text",
      variant: "heading"
    }, styledBoxProps, {
      sx: sx
    }));
  };

  Heading.defaultProps = {};
  Heading.defaultSx = {
    fontFamily: "heading",
    fontWeight: "heading",
    lineHeight: "heading"
  };
  var _default = Heading;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map