(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "dripsy", "@risserlabs/auto-contrast", "../../hooks/useThemeLookup"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("dripsy"), require("@risserlabs/auto-contrast"), require("../../hooks/useThemeLookup"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.dripsy, global.autoContrast, global.useThemeLookup);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _dripsy, _autoContrast, _useThemeLookup) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _useThemeLookup = _interopRequireDefault(_useThemeLookup);

  /**
   * File: /src/components/Input/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 17-08-2022 06:54:27
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Input = props => {
    const themeLookup = (0, _useThemeLookup.default)();
    const sx = (0, _autoContrast.useAutoContrast)(props, { ...Input.defaultSx,
      ...props.sx
    });
    return /*#__PURE__*/_react.default.createElement(_dripsy.TextInput, (0, _extends2.default)({
      themeKey: "forms",
      variant: "input"
    }, props, {
      placeholderTextColor: themeLookup("color", props.placeholderTextColor),
      selectionColor: themeLookup("color", props.selectionColor),
      underlineColorAndroid: themeLookup("color", props.underlineColorAndroid),
      sx: sx
    }));
  };

  Input.defaultProps = {};
  Input.defaultSx = {
    display: "flex",
    width: "100%",
    p: 12,
    margin: 10,
    minWidth: 0,
    appearance: "none",
    fontSize: 5,
    lineHeight: 1,
    border: "2px solid",
    borderRadius: 4,
    color: "text",
    bg: "transparent"
  };
  var _default = Input;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map