/**
 * File: /src/dripsyHelper.tsx
 * Project: @native-theme-ui/core
 * File Created: 14-06-2022 07:52:25
 * Author: Clay Risser
 * -----
 * Last Modified: 17-08-2022 06:54:27
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import { ComponentPropsWithRef, ComponentType, FC } from "react";
import { DripsyFinalTheme, StyledProps, SxProp, ThemedOptions } from "dripsy";
import { TextInput as RNTextInput } from "react-native";
export declare type DPProps = import("@dripsy/core").StyledProps<"text"> & ((Pick<import("@expo/html-elements/build/primitives/Text").TextProps, "testID" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & import("react").RefAttributes<import("react").Component<import("@expo/html-elements/build/primitives/Text").TextProps, any, any>>) | (Pick<Omit<import("react-native").TextProps & import("react").ClassAttributes<typeof import("react-native").Text>, "style" | "accessibilityRole"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    children?: import("react").ReactNode;
}, "testID" | "children" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "dataDetectorType" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps> & {
    ref?: ((instance: typeof import("react-native").Text | null) => void) | import("react").RefObject<typeof import("react-native").Text> | null | undefined;
}));
export declare type DTextInputProps = Omit<(import("@dripsy/core").StyledProps<"forms"> & import("react-native").TextInputProps & React.RefAttributes<React.Component<import("react-native").TextInputProps, any, any>>) | (import("@dripsy/core").StyledProps<"forms"> & import("react-native").TextInputProps & {
    children?: React.ReactNode;
}) | (import("@dripsy/core").StyledProps<"forms"> & import("react-native").TextInputProps & React.RefAttributes<React.Component<import("react-native").TextInputProps, any, any>> & {
    children?: React.ReactNode;
}), "selectionColor" | "placeholderTextColor" | "underlineColorAndroid"> & {
    selectionColor?: (string & {}) | undefined;
    placeholderTextColor?: (string & {}) | undefined;
    underlineColorAndroid?: (string & {}) | undefined;
} & React.RefAttributes<RNTextInput>;
export declare type DAProps = import("@dripsy/core").StyledProps<"text"> & ((Pick<import("react").PropsWithChildren<Pick<import("react-native").TextProps & import("react").ClassAttributes<typeof import("react-native").Text>, "testID" | "ref" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "accessibilityComponentType" | "accessibilityTraits"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    href?: string | undefined;
    target?: string | undefined;
}>, "testID" | "children" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps | "accessibilityComponentType" | "accessibilityTraits" | "href" | "target"> & import("react").RefAttributes<import("react").Component<import("react").PropsWithChildren<Pick<import("react-native").TextProps & import("react").ClassAttributes<typeof import("react-native").Text>, "testID" | "ref" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "accessibilityComponentType" | "accessibilityTraits"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    href?: string | undefined;
    target?: string | undefined;
}>, any, any>>) | (Pick<Pick<import("react-native").TextProps & import("react").ClassAttributes<typeof import("react-native").Text>, "testID" | "ref" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | "accessibilityComponentType" | "accessibilityTraits"> & import("@expo/html-elements/build/primitives/Text").WebTextProps & {
    href?: string | undefined;
    target?: string | undefined;
} & {
    children?: import("react").ReactNode;
}, "testID" | "children" | "onLayout" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "onPress" | "onLongPress" | "key" | "allowFontScaling" | "ellipsizeMode" | "lineBreakMode" | "numberOfLines" | "onTextLayout" | "maxFontSizeMultiplier" | "adjustsFontSizeToFit" | "minimumFontScale" | "suppressHighlighting" | "selectable" | "selectionColor" | "textBreakStrategy" | keyof import("@expo/html-elements/build/primitives/Text").WebTextProps | "accessibilityComponentType" | "accessibilityTraits" | "href" | "target"> & {
    ref?: ((instance: typeof import("react-native").Text | null) => void) | import("react").RefObject<typeof import("react-native").Text> | null | undefined;
}));
export declare type DImageProps = import("@dripsy/core").StyledProps<keyof import("@dripsy/core").Theme> & ((import("react-native").ImageProps & import("react").RefAttributes<import("react").Component<import("react-native").ImageProps, any, any>>) | (import("react-native").ImageProps & {
    children?: import("react").ReactNode;
}));
export declare type DViewProps = import("@dripsy/core").StyledProps<keyof import("@dripsy/core").Theme> & ((import("react-native").ViewProps & import("react").RefAttributes<import("react").Component<import("react-native").ViewProps, any, any>>) | (import("react-native").ViewProps & {
    children?: import("react").ReactNode;
}));
export declare type DTextProps = import("@dripsy/core").StyledProps<"text"> & ((import("react-native").TextProps & import("react").RefAttributes<import("react").Component<import("react-native").TextProps, any, any>>) | (import("react-native").TextProps & {
    children?: import("react").ReactNode;
}));
export declare type DripsyFC<P> = FC<P> & {
    defaultSx: SxProp;
};
export declare type PatchStyledProps<P> = P & any;
export declare type PatchVariant<P> = Omit<P, "variant"> & {
    variant?: string;
};
export declare function createThemedComponent<BaseComponentProps extends {
    style?: any;
}, ExtraProps, ThemeKey extends keyof DripsyFinalTheme>(Component: ComponentType<BaseComponentProps>, options?: ThemedOptions<ExtraProps, ThemeKey>): ComponentType<StyledProps<ThemeKey> & ComponentPropsWithRef<ComponentType<BaseComponentProps>> & ExtraProps>;
export declare function isText(children: unknown): boolean;
